API ReferenceAgents
/public/agents/{agentId}
Authorization
ApiKeyAuth X-Api-Key<token>
API key for authentication. Passed as a header on every request.
In: header
Path Parameters
agentId*string
Header Parameters
X-API-Version?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://companion-api.napster.com/public/agents/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"companionId": "string",
"name": "string",
"language": "string",
"voiceId": "string",
"functions": [
"string"
],
"faqCollections": [
"string"
],
"knowledgeBaseId": "string",
"providerSettings": {
"instructions": "string",
"turnDetection": {
"threshold": 0.1,
"prefix_padding_ms": 0,
"silence_duration_ms": 0
},
"temperature": 0.1,
"noiseReduction": {
"type": "nearField"
}
},
"tags": {
"property1": "string",
"property2": "string"
},
"disableIdleTimeout": true,
"created": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}